# == Class: jenkins-config
#
# Full description of class jenkins-config here.
#
# === Parameters
#
# Document parameters here.
#
# [*sample_parameter*]
#   Explanation of what this parameter affects and what it defaults to.
#   e.g. "Specify one or more upstream ntp servers as an array."
#
# === Variables
#
# Here you should define a list of variables that this module would require.
#
# [*sample_variable*]
#   Explanation of how this variable affects the funtion of this class and if
#   it has a default. e.g. "The parameter enc_ntp_servers must be set by the
#   External Node Classifier as a comma separated list of hostnames." (Note,
#   global variables should be avoided in favor of class parameters as
#   of Puppet 2.6.)
#
# === Examples
#
#  class { jenkins-config:
#    servers => [ 'pool.ntp.org', 'ntp.local.company.com' ],
#  }
#
# === Authors
#
# Author Name <author@domain.com>
#
# === Copyright
#
# Copyright 2014 Your name here, unless otherwise noted.
#
class jenkins-config {


}

# Class: jenkins_config
#
# This module imports and backs up jenkins XML configuration files
#
# Parameters:
#
# Requires:
#  jenkins - https://github.com/jenkinsci/puppet-jenkins
#
# Sample Usage:
#
# jenkins_config::load { "sampleapp":
#   import_source => 'modules/sampleapp/sampleapp_jenkins_config.xml',
#   jenkins_url => 'http://127.0.0.1:8080/jenkins',
# }
class jenkins_config {

  $jenkins_config_home = "/var/jenkins_config"
  $jenkins_cli_bin = "${jenkins_config_home}/jenkins-cli.jar"

  file { "jenkins_config":
    path => "${jenkins_config_home}",
    ensure => directory,
    owner => 'vagrant',
    group => 'vagrant',
  }

  file { "jenkins-cli":
    path => "${jenkins_cli_bin}",
    ensure => file,
    owner => 'vagrant',
    group => 'vagrant',
    source => 'https://ci.jenkins-ci.org/jnlpJars/jenkins-cli.jar',
  }

}
